Jump to content

Recommended Posts

19 hours ago, cptmcsplody said:

@Utumno Is there any Discord set up for wrye bash? It would be useful & you may end up getting more volunteers that way.

Nope haven't used it anyway - feel free to set up one

Share this post


Link to post
Share on other sites
2 hours ago, Utumno said:

Nope haven't used it anyway - feel free to set up one

All right, I've set this one up https://discord.gg/Cpe4ZaH. Might need some more work for Github feeds, a webhook would need to be set up on repo.

Any suggestions for changes are welcome as I just threw it together.

Share this post


Link to post
Share on other sites
On 7/22/2018 at 11:41 PM, Sharlikran said:

I found the comments on 2dd08b4 for @Beermotor fork.

On 7/23/2018 at 10:57 PM, Sharlikran said:

I had asked Utumno a while back to see if there was a way to prevent the error from displaying when it was the official DLC.

@SharlikranYes, my original change hid your error messages for author mods and DLCs. That was a mistake on my part. Now that I understand the issue better, I made a change that only displays your error messages for user created mods/plugins. The message does not displayed for official DLCs. I created a branch in my repository off the current dev branch to make the code reviewable. 742367c

This would need to be applied to Beermotor's branch to overwrite my first attempt. I've used it with @Beermotor's experimental branch and it works as expected. It also keeps these invalid records out of the batched patch.

I used this mod for testing: https://www.nexusmods.com/skyrimspecialedition/mods/15246  It has the form 43 issue and does display the message as expected but more importantly doesn't display it for any official DLC.

Wrye Bash SSE expects a newer format for STAT.DNAM than found.
Load and save mihailimperialhalberds.esp with the Skyrim SE CK
STAT.DNAM: Expected size == 12, but got: 8
Error loading 'STAT' record and/or subrecord: 05005907
  eid = u'mihailhalberd3static'
  subrecord = 'DNAM'
  subrecord size = 8
  file pos = 2682
Error in mihailimperialhalberds.esp

Does my second attempt work for you?  If so, this should be applied to Beermotor's experimental branch.

BTW: I wrote an xEdit script to scan selected mods checking all records for non form 44s. It catches a lot of junk. Is there already an xEdit script that scans selected plugin's records for non 44 forms, not just the header? If not, that would be a nice addition to the standard xEdit script library. I'm not offering my version. A new one would need to be written by an expert like you. :)

fyi: @Utumno

Share this post


Link to post
Share on other sites

Just downloaded the bleeding edge and encountered an error:

Traceback (most recent call last):
  File "bash\bash.py", line 185, in main
    _main(opts)
  File "bash\bash.py", line 360, in _main
    app.Init() # Link.Frame is set here !
  File "bash\basher\__init__.py", line 3981, in Init
    self.InitData(progress)
  File "bash\basher\__init__.py", line 4018, in InitData
    bosh.modInfos.refresh(booting=True)
  File "bash\bosh\__init__.py", line 1965, in refresh
    forceRefresh=hasChanged or _modTimesChange, forceActive=deleted)
  File "bash\bosh\__init__.py", line 1720, in _modinfos_cache_wrapper
    self._refresh_mod_inis() # before _refreshMissingStrings !
  File "bash\bosh\__init__.py", line 1998, in _refresh_mod_inis
    self._plugin_inis[iniPath] = IniFile(iniPath)
TypeError: __init__() takes exactly 3 arguments (2 given)

Was trying to load for Skyrim SE when this happened, and it's consistent.

Share this post


Link to post
Share on other sites
23 hours ago, Arthmoor said:

Just downloaded the bleeding edge and encountered an error:


Traceback (most recent call last):
  File "bash\bash.py", line 185, in main
    _main(opts)
  File "bash\bash.py", line 360, in _main
    app.Init() # Link.Frame is set here !
  File "bash\basher\__init__.py", line 3981, in Init
    self.InitData(progress)
  File "bash\basher\__init__.py", line 4018, in InitData
    bosh.modInfos.refresh(booting=True)
  File "bash\bosh\__init__.py", line 1965, in refresh
    forceRefresh=hasChanged or _modTimesChange, forceActive=deleted)
  File "bash\bosh\__init__.py", line 1720, in _modinfos_cache_wrapper
    self._refresh_mod_inis() # before _refreshMissingStrings !
  File "bash\bosh\__init__.py", line 1998, in _refresh_mod_inis
    self._plugin_inis[iniPath] = IniFile(iniPath)
TypeError: __init__() takes exactly 3 arguments (2 given)

Was trying to load for Skyrim SE when this happened, and it's consistent.

Thanks - fixed please redownload

Share this post


Link to post
Share on other sites
On 8/12/2018 at 7:07 AM, Utumno said:

please pack a standalone and offer for people to test

@Utumno, Do you mean create a standalone installer rather than python only version? I haven't explored that route yet. Also IMO, this needs to include @Beermotor's Experimental branch code to get the additional Bash tag functionality to get the most benefit from Sharlikran's code.

Share this post


Link to post
Share on other sites

I just installed Wrye Bash and tried to open it but instead got this message:

Wrye Bash encountered an error.
Please post the information below to the official thread at:
https://afkmods.iguanadons.net/index.php?/topic/4966-wrye-bash-all-games/& or 
https://bethesda.net/community/topic/38798/relz-wrye-bash-oblivion-skyrim-skyrim-se-fallout-4/

Traceback (most recent call last):
  File "bash\bash.pyo", line 227, in main
  File "bash\bash.pyo", line 393, in _main
  File "bash\basher\__init__.pyo", line 3981, in Init
  File "bash\basher\__init__.pyo", line 4018, in InitData
  File "bash\bosh\__init__.pyo", line 1955, in refresh
  File "bash\bosh\__init__.pyo", line 1702, in _modinfos_cache_wrapper
  File "bash\bosh\__init__.pyo", line 1810, in refreshLoadOrder
  File "bash\load_order.pyo", line 300, in refresh_lo
  File "bash\load_order.pyo", line 250, in _update_cache
  File "bash\games.pyo", line 227, in get_load_order
  File "bash\games.pyo", line 246, in _cached_or_fetch
  File "bash\games.pyo", line 676, in _fetch_load_order
KeyError: bolt.Path(u'Auto Unequip Ammo.esp')
 

So now what?  I hope that someone can help me.

Share this post


Link to post
Share on other sites
On 8/12/2018 at 12:07 PM, Utumno said:

Thanks for pointing me to the code - please pack a standalone and offer for people to test.

 

@Utumno I Combined the @Beermotor Frankenstein build with @warmfrost85 changes here  & patch built, no import cell option showing though, edit: re enabled pacthers & ran from debug.

It does still show @Sharlikran warning for plugins at startup. I will test now with the plug-in @warmfrost85 mentioned above.

Going over it now in xEdit.

Share this post


Link to post
Share on other sites
On 8/14/2018 at 2:44 AM, Lynessa7 said:

I just installed Wrye Bash and tried to open it but instead got this message:

Wrye Bash encountered an error.
Please post the information below to the official thread at:
https://afkmods.iguanadons.net/index.php?/topic/4966-wrye-bash-all-games/& or 
https://bethesda.net/community/topic/38798/relz-wrye-bash-oblivion-skyrim-skyrim-se-fallout-4/

Traceback (most recent call last):
  File "bash\bash.pyo", line 227, in main
  File "bash\bash.pyo", line 393, in _main
  File "bash\basher\__init__.pyo", line 3981, in Init
  File "bash\basher\__init__.pyo", line 4018, in InitData
  File "bash\bosh\__init__.pyo", line 1955, in refresh
  File "bash\bosh\__init__.pyo", line 1702, in _modinfos_cache_wrapper
  File "bash\bosh\__init__.pyo", line 1810, in refreshLoadOrder
  File "bash\load_order.pyo", line 300, in refresh_lo
  File "bash\load_order.pyo", line 250, in _update_cache
  File "bash\games.pyo", line 227, in get_load_order
  File "bash\games.pyo", line 246, in _cached_or_fetch
  File "bash\games.pyo", line 676, in _fetch_load_order
KeyError: bolt.Path(u'Auto Unequip Ammo.esp')
 

So now what?  I hope that someone can help me.

The bugdump please

22 hours ago, cptmcsplody said:

 

On 8/14/2018 at 4:47 PM, cptmcsplody said:

@Utumno I Combined the @Beermotor Frankenstein build with @warmfrost85 changes here  & patch built, no import cell option showing though, edit: re enabled pacthers & ran from debug.

It does still show @Sharlikran warning for plugins at startup. I will test now with the plug-in @warmfrost85 mentioned above.

Going over it now in xEdit.

Great - could you split the commit from @Beermotor to have the Installers menu edits separated? I will go through the code at some point - we do need to track down where this new SkyrimOldError can be raised

Share this post


Link to post
Share on other sites
On 8/11/2018 at 4:13 PM, warmfrost85 said:

@SharlikranYes, my original change hid your error messages for author mods and DLCs. That was a mistake on my part. Now that I understand the issue better, I made a change that only displays your error messages for user created mods/plugins. The message does not displayed for official DLCs. I created a branch in my repository off the current dev branch to make the code reviewable. 742367c

This would need to be applied to Beermotor's branch to overwrite my first attempt. I've used it with @Beermotor's experimental branch and it works as expected. It also keeps these invalid records out of the batched patch.

I used this mod for testing: https://www.nexusmods.com/skyrimspecialedition/mods/15246  It has the form 43 issue and does display the message as expected but more importantly doesn't display it for any official DLC.


Wrye Bash SSE expects a newer format for STAT.DNAM than found.
Load and save mihailimperialhalberds.esp with the Skyrim SE CK
STAT.DNAM: Expected size == 12, but got: 8
Error loading 'STAT' record and/or subrecord: 05005907
  eid = u'mihailhalberd3static'
  subrecord = 'DNAM'
  subrecord size = 8
  file pos = 2682
Error in mihailimperialhalberds.esp

Does my second attempt work for you?  If so, this should be applied to Beermotor's experimental branch.

BTW: I wrote an xEdit script to scan selected mods checking all records for non form 44s. It catches a lot of junk. Is there already an xEdit script that scans selected plugin's records for non 44 forms, not just the header? If not, that would be a nice addition to the standard xEdit script library. I'm not offering my version. A new one would need to be written by an expert like you. :)

fyi: @Utumno

That is a better idea. It would need to stay there for SPGD, but when I have time (too busy with xEdit at the moment) I will update the code per my previous post. After I am done only SPGD would generate an error. For that record you simply can not determine by size the exact format because it can be 96 bytes or more and it's variable. The new CK doesn't corrupt that record so it has to be there for that one record. Once I am done with the updates the error won't be needed for anything else so the error could actually be changed to show a wbepage on how to fix it if the user wants to try as it will only be useful for SPGD. Sorry I'm not being clear but just a lot going on right now.

Share this post


Link to post
Share on other sites
On 8/15/2018 at 10:51 PM, Sharlikran said:

the error won't be needed for anything else so the error could actually be changed to show a wbepage on how to fix it if the user wants to try as it will only be useful for SPGD

You can make changes so the STAT.DNAM, etc. (except for SPGD) isn't an issue and doesn't need to be reported? I don't know the internals and history of those records so not sure how you'll do that. Just let me know whenever you're done with the update. Thanks.     ...and thanks for the work you do on xEdit.

 

On 8/15/2018 at 10:06 AM, Utumno said:

we do need to track down where this new SkyrimOldError can be raised

As I understand it, we'll know that when Sharlikran is done with the above changes. I just have a hunch I'm misunderstanding Sharlikran's comment a little.

Share this post


Link to post
Share on other sites

Just a tiddly issue with the Windows snip tool- there may be a similar issue with other screen capture programs:

The LO column (for example) snaps back to default before capturing the image of it. Anyone else with same? Thanks.

Share this post


Link to post
Share on other sites
19 hours ago, lmstearn said:

Just a tiddly issue with the Windows snip tool- there may be a similar issue with other screen capture programs:

The LO column (for example) snaps back to default before capturing the image of it. Anyone else with same? Thanks.

I'm not having that problem with WinSnip and the 307.201807251609 version for FO3 and FNV on Win7.

-Dubious-

Share this post


Link to post
Share on other sites
On 8/17/2018 at 6:22 AM, warmfrost85 said:

You can make changes so the STAT.DNAM, etc. (except for SPGD) isn't an issue and doesn't need to be reported? I don't know the internals and history of those records so not sure how you'll do that. Just let me know whenever you're done with the update. Thanks.     ...and thanks for the work you do on xEdit.

 

As I understand it, we'll know that when Sharlikran is done with the above changes. I just have a hunch I'm misunderstanding Sharlikran's comment a little.

Finished. People should only get SPGD errors, errors on records that are truncated due to Bethesda, or errors due to 3rd party tools. MreWeap will shift the FormID to the correct place in Form Version 44.

Share this post


Link to post
Share on other sites

Traceback (most recent call last):
  File "bash\bash.pyo", line 227, in main
  File "bash\bash.pyo", line 393, in _main
  File "bash\basher\__init__.pyo", line 3981, in Init
  File "bash\basher\__init__.pyo", line 4024, in InitData
  File "bash\bosh\__init__.pyo", line 1617, in refresh
  File "bash\bosh\__init__.pyo", line 1594, in _refresh_infos
  File "bash\bosh\__init__.pyo", line 1490, in ini_info_factory
  File "bash\bosh\ini_files.pyo", line 63, in formatMatch
UnicodeDecodeError: 'ascii' codec can't decode byte 0xef in position 0: ordinal not in range(128)
 

Share this post


Link to post
Share on other sites
1 hour ago, Aciago said:

Traceback (most recent call last):
  File "bash\bash.pyo", line 227, in main
  File "bash\bash.pyo", line 393, in _main
  File "bash\basher\__init__.pyo", line 3981, in Init
  File "bash\basher\__init__.pyo", line 4024, in InitData
  File "bash\bosh\__init__.pyo", line 1617, in refresh
  File "bash\bosh\__init__.pyo", line 1594, in _refresh_infos
  File "bash\bosh\__init__.pyo", line 1490, in ini_info_factory
  File "bash\bosh\ini_files.pyo", line 63, in formatMatch
UnicodeDecodeError: 'ascii' codec can't decode byte 0xef in position 0: ordinal not in range(128)
 

@Aciago What version are you running?

Need steps to reproduce as well.

Share this post


Link to post
Share on other sites

Installed v. 307.201807040057 and when trying to run:

Traceback (most recent call last):
  File "bash\bash.pyo", line 227, in main
  File "bash\bash.pyo", line 393, in _main
  File "bash\basher\__init__.pyo", line 3981, in Init
  File "bash\basher\__init__.pyo", line 4021, in InitData
  File "bash\bosh\__init__.pyo", line 2726, in refresh
  File "bash\bosh\__init__.pyo", line 1382, in refresh
  File "bash\bosh\__init__.pyo", line 1358, in new_info
  File "bash\bosh\__init__.pyo", line 1277, in new_info
  File "bash\bosh\__init__.pyo", line 393, in __init__
  File "bash\bosh\__init__.pyo", line 274, in __init__
  File "bash\bosh\__init__.pyo", line 405, in _reset_cache
  File "bash\bosh\__init__.pyo", line 1108, in readHeader
  File "bash\bosh\save_headers.pyo", line 62, in __init__
  File "bash\bosh\save_headers.pyo", line 78, in load_header
  File "bash\bosh\save_headers.pyo", line 342, in load_image_data
  File "bash\bosh\save_headers.pyo", line 96, in _drop_alpha
MemoryError

 

EDIT: I've found a reason. It was due to large number of save files. Removed some of them and everything starts fine.

Share this post


Link to post
Share on other sites
6 hours ago, cptmcsplody said:

@Aciago What version are you running?

Need steps to reproduce as well.

307 Beta3. Only 1 mod for oblivion is installed, and the program doesn't run anymore.

Share this post


Link to post
Share on other sites
On 8/26/2018 at 12:28 PM, Aciago said:

307 Beta3. Only 1 mod for oblivion is installed, and the program doesn't run anymore.

This should be fixed in latest nightly

Share this post


Link to post
Share on other sites

Hey just installed 307 Beta3 (307.201807040057) Wrye and it's crashing. It started on my previous WB install (307.201712232300) so I am trying to upgrade but problem persists.  Said to post the info so here it is.

Traceback (most recent call last):


  File "bash\bash.py", line 227, in main
    _main(opts)
  File "bash\bash.py", line 393, in _main
    app.Init() # Link.Frame is set here !
  File "bash\basher\__init__.py", line 3981, in Init
    self.InitData(progress)
  File "bash\basher\__init__.py", line 4024, in InitData
    bosh.iniInfos.refresh(refresh_target=False)
  File "bash\bosh\__init__.py", line 1617, in refresh
    _added, _deleted, _updated = self._refresh_infos()
  File "bash\bosh\__init__.py", line 1594, in _refresh_infos
    oldInfo = self.factory(self.store_dir.join(name))
  File "bash\bosh\__init__.py", line 1490, in ini_info_factory
    INICount = IniFile.formatMatch(fullpath)
  File "bash\bosh\ini_files.py", line 63, in formatMatch
    stripped = cls.reComment.sub(u'',line).strip()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc6 in position 23: ordinal not in range(128)


 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Support us on Patreon!

×